`JavaClass`

    @Contract(pure = true)i
    @Nullablei
    private String foo(
        int arg1,
        int arg2,
        int arg3
    )

Some regular method documentation.

- some regular list entry
- another regular list entry

Params:

`arg1` –

some parameter.

- some param list entry
- another param list entry

Returns:

some return value

- some return list entry
- another return list entry

Throws: | `IllegalArgumentException`